Closed Bug 1637254 Opened 3 months ago Closed 3 months ago

Update vendored l10n python libraries

Categories

(Firefox Build System :: General, task)

task

Tracking

(firefox78 fixed)

RESOLVED FIXED
mozilla78
Tracking Status
firefox78 --- fixed

People

(Reporter: Pike, Assigned: Pike)

Details

Attachments

(2 files)

There's upcoming fixes to the fluent.migrate, which will require newer versions of compare-locales and fluent.syntax.

Let's update.

This updates compare-locales to 8.0. The major version bump is due
to the changes to the json output.
This also updates fluent.syntax to 0.17.
Vendor in fluent.migrate 0.9. This is the first formal vendoring,
the version we had in-tree wasn't released on pypi before.

Pushed by axel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/17cfe5578adf
Update docs about fluent.migrate 0.9. r=Pike
Pushed by axel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/07f12885bcc5
vendor l10n python libraries updates, r=stas
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla78
You need to log in before you can comment on or make changes to this bug.